//
// ArrayOfString.java - Ensure lists of strings have an enclosing element
//

package nyangau.jmsadapter.mapper;

import java.util.List;
import java.util.ArrayList;
import javax.xml.bind.annotation.XmlElement;

public class ArrayOfString
  {
  @XmlElement(namespace="http://www.nyangau.org/jmsadapter/mapper", name="string")
  protected List<String> list;
  public ArrayOfString() { list = new ArrayList<String>(); }
  public ArrayOfString(List<String> l) { list = l; }
  public List<String> getList() { return list; }
  }
